Ontology

Get a concept type

GET
/api/v1/ontology/concept-types/{concept_type_id}

Authorization

bearerAuth
AuthorizationBearer <token>

Console session token (Authorization: Bearer <session>) or product API key (Authorization: Bearer <api-key> or x-api-key). Session tokens are validated via Better Auth get-session; API keys against the shared database.

In: header

Path Parameters

concept_type_id*Concept Type Id

Header Parameters

authorization?string|null
x-api-key?string|null

Response Body

application/json

application/json

curl -X GET "https://example.com/api/v1/ontology/concept-types/string"
{  "id": "string",  "ontology_id": "string",  "key": "string",  "label": "string",  "parent_id": "string",  "attributes": [    {      "key": "string",      "label": "string",      "data_type": "text",      "select_options": [        "string"      ],      "required": false    }  ],  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z"}